SOURCES: browser-plugins-update.sh - handle nspluginwrapper
glen
glen at pld-linux.org
Wed Jun 18 10:42:55 CEST 2008
Author: glen Date: Wed Jun 18 08:42:55 2008 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- handle nspluginwrapper
---- Files affected:
SOURCES:
browser-plugins-update.sh (1.7 -> 1.8)
---- Diffs:
================================================================
Index: SOURCES/browser-plugins-update.sh
diff -u SOURCES/browser-plugins-update.sh:1.7 SOURCES/browser-plugins-update.sh:1.8
--- SOURCES/browser-plugins-update.sh:1.7 Wed Feb 28 09:43:59 2007
+++ SOURCES/browser-plugins-update.sh Wed Jun 18 10:42:49 2008
@@ -78,6 +78,25 @@
echo >&3 "browsers: $browsers"
}
+# void update_nspluginwrapper(void)
+# update nspluginwrapper links
+update_nspluginwrapper() {
+ [ -x /usr/bin/nspluginwrapper ] || return
+
+ umask 002
+ # call it always in install mode, as update mode does not update existing links
+ /usr/bin/nspluginwrapper -a -i
+
+ # this will remove oudated plugins
+ for a in /usr/lib64/browser-plugins/npwrapper.*.so; do
+ [ -f $a ] || continue
+ /usr/bin/nspluginwrapper -v -u $a
+ done
+
+ # run install again after nsplugin wrappers
+ install_plugins
+}
+
# char *browserplugindir(char *)
# returns plugin directory for browser
browserplugindir() {
@@ -159,3 +178,4 @@
remove_plugins
install_plugins
+update_nspluginwrapper
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/browser-plugins-update.sh?r1=1.7&r2=1.8&f=u
More information about the pld-cvs-commit
mailing list